/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { EventEmitter } from '@angular/core';
import { NgControl } from '@angular/forms';
import * as Forms from '@angular/forms';
import { SelectItem, IconType } from '../../../../models';
export declare class SelectComponent implements Forms.ControlValueAccessor {
    ngControl: NgControl;
    set disabled(value: boolean);
    get disabled(): boolean;
    constructor(ngControl: NgControl);
    get closeOnSelect(): boolean;
    get hideSelected(): boolean;
    selectedItem: SelectItem;
    items: SelectItem[];
    multiple: boolean;
    maxSelectedItems: boolean;
    addTag: any;
    formControlStyles: boolean;
    width: number;
    height: number;
    asBricks: boolean;
    joined: boolean;
    small: boolean;
    unselectable: boolean;
    searchable: boolean;
    label: string;
    labelDescription: string;
    selectChange: EventEmitter<SelectItem>;
    selectKeyUp: EventEmitter<string>;
    showCustomValue: boolean;
    customValueLabel: string;
    searchNotFoundLabel: string;
    description: string;
    inputId: string;
    hint: string;
    openStatus: boolean;
    iconType: typeof IconType;
    private disabledP;
    onChange: any;
    onTouched: any;
    selectSearch(term: string, item: SelectItem): SelectItem;
    selectKeyUpHandle(query: any): void;
    selectChangeHandle(selectedItem: any): void;
    selectOpen(): void;
    selectClose(): void;
    selectBrick(item: SelectItem): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: any): void;
}
